import 'package:flutter/material.dart';

import 'bottom_sheet_up_indicator.dart';

class GenericBottomSheetView extends StatefulWidget {
  final Widget mainComponent;

  const GenericBottomSheetView({
    Key? key,
    required this.mainComponent,
  }) : super(key: key);

  @override
  State<GenericBottomSheetView> createState() => _GenericBottomSheetViewState();
}

final class _GenericBottomSheetViewState extends State<GenericBottomSheetView> {
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        const BottomSheetUpIndicator(),
        const Spacer(),
        widget.mainComponent,
        const Spacer(),
      ],
    );
  }
}
